package com.qxgmat.dto.extend;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.QuestionNo;

import javax.validation.constraints.NotEmpty;

@Dto(entity = QuestionNo.class)
public class QuestionNoExtendDto {
    private Integer id;

    /**
     * 模块：examination, exercise, sentence
     */
    @NotEmpty(message = "题目所属模块！")
    private String module;

    /**
     * 人工id
     */
    @NotEmpty(message = "题目ID！")
    private String no;

    /**
     * 对应模块结构信息，逗号分隔
     */
    @NotEmpty(message = "对应模块层级！")
    private Integer[] moduleStruct;

    private QuestionExtendDto question;

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Integer[] getModuleStruct() {
        return moduleStruct;
    }

    public void setModuleStruct(Integer[] moduleStruct) {
        this.moduleStruct = moduleStruct;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
